class BaseInventoryController < ActionController::Base
  include MultiTenancy
  include LoginVerification
	layout "inventory"

  before_action :check_user

  #before_action :check_installation
  protect_from_forgery with: :exception

  rescue_from CanCan::AccessDenied do |exception|
  	flash[:warning] = exception.message
  	redirect_to root_path
  end

  def check_user
    if current_user.nil?
      redirect_to root_path
    end
  end
end
